# Hooks

### useMintDecimals

**Prerequisites:** [MintProvider](/development/providers/mint-provider.md)

**Params:** [mintAddress](https://github.com/DescartesNetwork/senhub/blob/master/src/shared/hooks/useMintDecimals.ts)

```tsx
import useMintDecimals from 'shared/hooks/useMintDecimals'

const Component = () => {
    const decimals = useMintDecimals('SENBBKVCM7homnf5RX9zqpf1GFe935hnbU4uVzY1Y6M')
}
```

### useMintSupply

**Prerequisites:** [MintProvider](/development/providers/mint-provider.md)

**Params:** [mintAddress](https://github.com/DescartesNetwork/senhub/blob/master/src/shared/hooks/useMintDecimals.ts)

```tsx
import useMintSupply from 'shared/hooks/useMintSupply'

const Component = () => {
    const supply = useMintSupply('SENBBKVCM7homnf5RX9zqpf1GFe935hnbU4uVzY1Y6M')
}
```

### useAccountBalance

**Prerequisites:** [WalletProvider](/development/providers/wallet-provider.md), [MintProvider](/development/providers/mint-provider.md), and [AccountProvider](/development/providers/account-provider.md).

**Params:** [accountAddress](https://github.com/DescartesNetwork/senhub/blob/master/src/shared/hooks/useAccountBalance.ts)

```tsx
import useAccountBalance from 'shared/hooks/useAccountBalance'

const Component = () => {
    const {
        amount, // <bigint> balance with decimals
        balance, // <number> balance without decimals
        decimals, // <number> mint decimals
        mintAddress, // <string> mint address
    } = useAccountBalance('H2yPHiZm2U53GN93iUhQAwMwkjKHRSN7BGZpLLHv7d1m')
}
```

### useAccountBalanceByMintAddress

**Prerequisites:** [WalletProvider](/development/providers/wallet-provider.md), [MintProvider](/development/providers/mint-provider.md), and [AccountProvider](/development/providers/account-provider.md).

**Params:** [mintAddress](https://github.com/DescartesNetwork/senhub/blob/master/src/shared/hooks/useAccountBalance.ts)

```tsx
import { useAccountBalanceByMintAddress } from 'shared/hooks/useAccountBalance'

const Component = () => {
    const {
        amount, // <bigint> balance with decimals
        balance, // <number> balance without decimals
        decimals, // <number> mint decimals
        mintAddress, // <string> mint address
    } = useAccountBalanceByMintAddress('SENBBKVCM7homnf5RX9zqpf1GFe935hnbU4uVzY1Y6M')
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentre.io/advanced-usage/hooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
